/* eslint-disable */
import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

const store = new Vuex.Store({
  state: {
    MainTitleClick: () => {}, // 页面标题点击事件
    ShowMainTitleIcon: false, // 显隐页面标题箭头图标
    ShowMainHeaderBack: true, // 显隐头部返回按钮
    ShowMainHeader: false, // 显隐页面头部
    ShowMainTabBar: false, // 显隐页面tabbar
    MainPaddingTop: 0, // 页面padding-top（不与系统顶部时间栏重叠）
    MainPaddingBottom: 0, // 页面padding-bottom（不与系统底部返回栏重叠）
    MainHeaderTitle: '', // 页面title
    MainTabBar: [ // tabbar列表
      { name: '首页', icon: 'iconcaipiao', id: 1, router: 'ShouYe' },
      { name: '开奖展示', icon: 'iconjiangbei', id: 2, router: 'KaiJiangZhanShi' },
      { name: '我的', icon: 'iconwode', id: 3, router: 'WoDe' }
    ],
    MainTabBarActiveId: null // tabbar选中id
  },
  mutations: {
    EditMainData (state, data) { // 修改页面数据
      if (data.length === undefined) {
        state[data.name] = data.value
      } else {
        data.map((item) => {
          state[item.name] = item.value
        })
      }
    }
  },
  actions: {
  }
})
export const modules = {
  common: () => require('./common/index').default,
  index: () => require('./index/index').default,
  user: () => require('./user/index').default
}

Object.keys(modules).forEach((modKey) => {
  const modNS = modKey.split('/')
  const getMod = modules[modKey]
  store.registerModule(...modNS, getMod())
})

export default store
